
Foreman - Bug #4419

[usability] override parameters UI workflow

02/24/2014 07:18 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2398

  

Description

When trying to override a parameter with a large set of parameters the user needs to scroll up and down many times.

I would suggest to override the value in place, and have a hover / to show the original value with an indicator that it has been

overridden.

wireframes: https://dl.dropboxusercontent.com/u/5892944/Foreman-Parameters-2015-04-16.pdf

Related issues:

Related to Foreman - Feature #4205: wizard for editing class parameters of a ... New 01/28/2014

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Tracker #10467: Parameter UI improvements in host and ho... New 05/11/2015

Related to Foreman - Feature #11300: Auto complete Smart Variable filters by ... New 08/05/2015

Related to Foreman Remote Execution - Bug #11722: Selecting input type on new... Closed 09/08/2015

Associated revisions

Revision 09ce8a63 - 08/13/2015 07:13 AM - Ori Rabin

Fixes #4419 - rearranging smart class parameters edit form

Revision 3dcfa117 - 08/13/2015 07:16 AM - Dominic Cleal

refs #4419 - add underscore-rails to assets

History

#1 - 02/24/2014 08:23 AM - Lukas Zapletal

The same for Templates when there are lots of templates. You need to scroll here and there.

#2 - 02/24/2014 08:25 AM - Ohad Levy

Lukas Zapletal wrote:

The same for Templates when there are lots of templates. You need to scroll here and there.

 which templates? listing templates? editing templates? templates under the host edit?

#3 - 02/24/2014 08:52 PM - Lukas Zapletal

Provisioning templates, after import from community templates.

But now I see I have "per page" set to 999. Could be the cause for this.

#4 - 02/27/2014 09:43 AM - Dominic Cleal

- Related to Feature #4205: wizard for editing class parameters of a host added
#5 - 02/27/2014 10:19 AM - Dominic Cleal

- Related to Tracker #4470: Usability of parameters and overrides added

#6 - 08/20/2014 03:14 AM - Ohad Levy

- Assignee deleted (Amos Benari)

#7 - 05/21/2015 09:19 AM - Tom Caspy

- Description updated

#8 - 05/21/2015 09:20 AM - Tom Caspy

- Related to Tracker #10467: Parameter UI improvements in host and hostgroup forms added

#9 - 05/21/2015 09:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2398 added

- Pull request deleted ()

#10 - 08/06/2015 03:01 AM - Dominic Cleal

- Related to Feature #11300: Auto complete Smart Variable filters by type added

#11 - 08/13/2015 07:14 AM - Dominic Cleal

- Assignee set to Ori Rabin

- translation missing: en.field_release set to 63

#12 - 08/13/2015 08:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 09ce8a634bd5924de5f9c1d865a9a765a5b0174f.

#13 - 09/08/2015 07:23 AM - Marek Hulán

- Related to Bug #11722: Selecting input type on newly added fields doesn't work with Foreman nightly added
